import React from 'react';
import "./index.less";

var pipelineTitle = function pipelineTitle(_ref) {
  var type = _ref.type,
      iconSize = _ref.iconSize;
  return /*#__PURE__*/React.createElement("span", {
    className: "c7ncd-pipelineManage-title-type c7ncd-pipelineManage-title-type-".concat(type),
    style: {
      width: "".concat(iconSize, "px"),
      height: "".concat(iconSize, "px"),
      lineHeight: "".concat(iconSize, "px")
    }
  }, (type || 'A').slice(0, 1).toUpperCase());
};

pipelineTitle.defaultProps = {
  iconSize: 16
};
export default pipelineTitle;